import WebInterfaceTestClass
from twill.errors import *

class unittests(WebInterfaceTestClass.WebInterfaceTestClass):

	def test_help_pages(self):
		'''help pages should be available in different languages'''

		## check english help pages
		self.cmd.go(self.URL + "help?weblang=en")
		self.cmd.find("Table of Contents")
		self.cmd.find("Getting started")

		self.cmd.go(self.URL + "help?weblang=de")
		self.cmd.find("Table of Contents")
		self.cmd.find("Wie geht es los")

		self.cmd.go(self.URL + "help?weblang=si")
		self.assertRaises(TwillAssertionError, self.cmd.notfind, "Table of Contents")
		#TODO: add a slovene text here, as soon as the help is translated

		self.cmd.go(self.URL + "help?weblang=fr")
		self.assertRaises(TwillAssertionError, self.cmd.notfind, "Table of Contents")
		#TODO: add a french text here, as soon as the help is translated

		## test a random language - it should fall back to english
		self.cmd.go(self.URL + "help?weblang=foobar")
		self.assertRaises(TwillAssertionError, self.cmd.notfind, "Table of Contents")

